/*
 *  DEBUG.h
 *  ATY_Init
 *
 *  Created by Dong Luo on 3/18/09.
 *  Copyright 2009 Boston University. All rights reserved.
 *
 */
#ifndef _DEBUG_H
#define _DEBUG_H

#define ATY_Init_DEBUG

#ifdef ATY_Init_DEBUG
#define RHDFUNC IOLog("ATY_Init: %s\n", __func__)
#define LOG(fmt) do {IOLog("ATY_Init: "); IOLog((fmt));} while (0)
#define LOG1(fmt, a1) do {IOLog("ATY_Init: "); IOLog((fmt), (a1));} while (0)
#define LOG2(fmt, a1, a2) do {IOLog("ATY_Init: "); IOLog((fmt), (a1), (a2));} while (0)
#define LOG3(fmt, a1, a2, a3) do {IOLog("ATY_Init: "); IOLog((fmt), (a1), (a2), (a3));} while (0)
#define LOG4(fmt, a1, a2, a3, a4) do {IOLog("ATY_Init: "); IOLog((fmt), (a1), (a2), (a3), (a4));} while (0)
#else
#define RHDFUNC
#define LOG(fmt)
#define LOG1(fmt, a1)
#define LOG2(fmt, a1, a2)
#define LOG3(fmt, a1, a2, a3)
#define LOG4(fmt, a1, a2, a3, a4)
#endif
/*
#ifdef ATY_Init_DEBUG
#define RHDFUNC IOLog("ATY_Init: %s\n", __func__)
#define LOG(fmt, h) do {if ((h)) IOLog("ATY_Init: "); IOLog((fmt));} while (0)
#define LOG1(fmt, a1, h) do {if ((h)) IOLog("ATY_Init: "); IOLog((fmt), (a1));} while (0)
#define LOG2(fmt, a1, a2, h) do {if ((h)) IOLog("ATY_Init: "); IOLog((fmt), (a1), (a2));} while (0)
#define LOG3(fmt, a1, a2, a3, h) do {if ((h)) IOLog("ATY_Init: "); IOLog((fmt), (a1), (a2), (a3));} while (0)
#else
#define RHDFUNC
#define LOG(fmt)
#define LOG1(fmt, a1)
#define LOG2(fmt, a1, a2)
#define LOG3(fmt, a1, a2, a3)
#endif
*/
#endif